<?php
/**
 * Created by PhpStorm.
 * User: glsy
 * Date: 2018/6/28
 * Time: 下午2:22
 */

namespace App\Resps\Interfaces;
interface News
{
    public function index(array $condition);

    public function show($id);

    public function create(array $params);

    public function update($id, array $params);

    public function destroy($id);

    public function getSort($fid);

    public function addSort(array $params);

    public function updateSort($id, array $params);

    public function deleteSort($id);

    public function getSortTree($id);

    public function publish($id);
}